Geçen hafta iki Tumbleweed anlık görüntüleri (Snapshotlar) yayınlandı ve bu anlık görüntüler genellikle dil ve ağ paketlerinin güncellemesi üzerine odaklandı.

openSUSE Tumbleweed ile sunulan güncel Linux çekirdeği ise iki gün önce 4.17.13'e güncellendi.

20180812 Tumbleweed anlık görüntüsü NetworkManaget-applet paketinin 1.8.16 sürümü için bir takım düzeltmeler getiriyor. Bu düzeltmeler paketin GTK3 için olan sürümünü yenileştiriyor ve GTK4 için ön hazırlıkta bulunuyor. Özgür bir uzak masaüstü erişim arayüzü olan freerdp'nin 2.0.0 için 3. sürüm adayı yayınlandı, bu sürüm adayında otomatik geri bağlanma iyileştirildi, Wave2 desteği eklendi ve automount sorunları düzeltildi. 4.17.13 sürüm sayılı çekirdekte Intel 9000 serisine ait pek çok ağ kartları eklendi. libstorage-ng isimli paketin 4.1.0 sürümünden 4.1.10 sürümüne olan atlamada ise pek çok dil çevirisi ve xen xvd cihazlarını araştırmak için yeni birim testi eklendi. İki adet "Comman Vulnerabilities and Exposures" düzeltmeleri ise postgresql 10.5'e eklendi. POSIX uyumlu sistemlerde "master.key" dosyasını kullanıcı için okuyabilme yetkisini veren rubygem-rails 5.2.1 paketini de içeren bazı rubygem paketleri 5.2.1 sürümüne güncellendi. XML ve HTML dosyalarının python-lxml 4.2.4 ile işlenmesi sırasında muhtemelen eskisinden daha az çökme ile karşılaşacaksınızdır, bu tek tük çökmeler bellekten gereksiz verilerin temizlenmesi sırasında eş zamanlı şema doğrulaması takip edilirken ve ayrıştırıcı referans döngüsüne katılırken gerçekleşiyordu. Tıpkı yast2-ftp-server, yast2-slp-server ve yast2-squid 4.1.0 paketleri gibi servis durumunu yönetmek için yeni bir ServiceWidget'e sahip olan yast2-ftp-server 4.1.3 paketini içeren birtakım YaST paketleri yeni güncellemeler aldı.

20180808 anlık görüntüsü Firewalld paketini 0.6.0'a güncelliyor ki bu güncelleme normalde varsayılan arka uç olan "iptables"a geri dönüş yapıyor; "ipv6-icmp"'i protokol açılır menüsüne ekleyen firewall-configi de içeren "pek çok yeni hizmet" bu yeni güncellemeye eklendi. Linux dosya sisteminin kullanıcı arayüzü olan fuse 2.9.8, SELinux çalıştıran sistemler için güvenlik güncellemeleri aldı. Bu güvenlik güncellemesi yetkisiz kullanıcıların /etc/fuse.conf'ta belirtilmese dahi allow_other'i kullanmasını engelliyor. Bu anlık görüntü aynı zamanda yast2-network paketini AutoYaST ağ şemasını düzelten 4.1.5 sürümüne günceller.

20180808 anlık görüntüsü "anlık görüntü oylayıcısında" 95 puanda sabit kalırken, 20180812 ise 96 puanla yükselişe geçti.

Kaynak:
https://news.opensuse.org/2018/08/16/la ... umbleweed/